netsnmp_table_request_info_s(3)

NAME
netsnmp_table_request_info_s - The table request info structure.

SYNOPSIS

#include <table.h>

  Data Fields
unsigned int colnum
0 if OID not long enough
unsigned int number_indexes
0 if failure to parse any
netsnmp_variable_list * indexes
contents freed by helper upon exit
oid index_oid [MAX_OID_LEN]
size_t index_oid_len
netsnmp_table_registration_info * reg_info

Detailed Description

The table request info structure. Definition at line 102 of file table.h.

Field Documentation

  unsigned int netsnmp_table_request_info_s::colnum

0 if OID not long enough Definition at line 104 of file table.h.

Referenced by netsnmp_table_build_oid(), netsnmp_table_build_oid_from_index(), netsnmp_table_data_helper_handler(), netsnmp_table_data_set_helper_handler(), and netsnmp_table_iterator_helper_handler().

  netsnmp_variable_list* netsnmp_table_request_info_s::indexes

contents freed by helper upon exit Definition at line 108 of file table.h.

Referenced by netsnmp_insert_iterator_context(), netsnmp_table_build_oid(), netsnmp_table_iterator_helper_handler(), netsnmp_update_indexes_from_variable_list(), netsnmp_update_variable_list_from_index(), and table_helper_handler().

  unsigned int netsnmp_table_request_info_s::number_indexes

0 if failure to parse any Definition at line 106 of file table.h.

Referenced by table_helper_handler().

Author

Generated automatically by Doxygen for net-snmp from the source code.